Create or update a product scraper configuration
curl --request PUT \
--url https://app.promptingco.com/api/v1/products/{productId}/scraper \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startUrls": [
"<string>"
],
"baseUrls": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startUrls: ['<string>'], baseUrls: ['<string>']})
};
fetch('https://app.promptingco.com/api/v1/products/{productId}/scraper', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/products/{productId}/scraper"
payload = {
"startUrls": ["<string>"],
"baseUrls": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"data": {
"scraper": {
"id": "<string>",
"productId": "<string>",
"startUrls": [
"<string>"
],
"baseUrls": [
"<string>"
],
"cssSelector": "<string>",
"cssExcludeSelector": "<string>",
"customHeaders": {},
"frequencyType": "<string>",
"frequencyCount": 123,
"pollingPaused": true,
"lastRunAt": "<string>",
"nextRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Content
Create or update a product scraper configuration
PUT
/
api
/
v1
/
products
/
{productId}
/
scraper
Create or update a product scraper configuration
curl --request PUT \
--url https://app.promptingco.com/api/v1/products/{productId}/scraper \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startUrls": [
"<string>"
],
"baseUrls": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startUrls: ['<string>'], baseUrls: ['<string>']})
};
fetch('https://app.promptingco.com/api/v1/products/{productId}/scraper', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/products/{productId}/scraper"
payload = {
"startUrls": ["<string>"],
"baseUrls": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"data": {
"scraper": {
"id": "<string>",
"productId": "<string>",
"startUrls": [
"<string>"
],
"baseUrls": [
"<string>"
],
"cssSelector": "<string>",
"cssExcludeSelector": "<string>",
"customHeaders": {},
"frequencyType": "<string>",
"frequencyCount": 123,
"pollingPaused": true,
"lastRunAt": "<string>",
"nextRunAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
apiKeyAuthbearerAuthcookieAuth
Organization-scoped API key. Available scopes:
- content:read: Read site pages, markdown content, and llms.txt files
- content:write: Create, update, and delete site pages and content
- prompts:read: Read prompts, topics, prompt suggestions, and prompt analysis results
- prompts:write: Create, update, archive prompts and generate, edit, or review prompt suggestions
- simulations:read: Read agent-simulation tasks, runs, environments, and analytics
- simulations:write: Create and trigger simulation runs
- logs:read: Read AI-traffic logs and request-level audit events
- analytics:read: Read analytics aggregates (rankings, mentions, sources, SOV)
- analytics:write: Write events to analytics
- products:read: Read product metadata and competitor data
- products:write: Update product settings and competitor lists
Path Parameters
Minimum string length:
1Body
application/json
Required array length:
1 - 1000 elementsMaximum string length:
2000Required array length:
1 - 1000 elementsMaximum string length:
2000Required string length:
1 - 1000Maximum string length:
2000Show child attributes
Show child attributes
Available options:
weekly, monthly Required range:
1 <= x <= 2